> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/vaults/bulk-creation-of-new-deposit-addresses",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Bulk creation of new deposit addresses

> **For UTXO blockchains only.**

Create multiple deposit addresses by running an async job.
- The target Vault account should already have a UTXO asset wallet with a permanent address.
- Limited to a maximum of 10,000 addresses per operation. Use multiple operations for the same Vault account/permanent address if needed.

**Endpoint Permissions:** Admin, Non-Signing Admin.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /vault/accounts/addresses/bulk
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /vault/accounts/addresses/bulk:
    post:
      tags:
        - Vaults
      summary: Bulk creation of new deposit addresses
      description: >
        **For UTXO blockchains only.**


        Create multiple deposit addresses by running an async job.

        - The target Vault account should already have a UTXO asset wallet with
        a permanent address.

        - Limited to a maximum of 10,000 addresses per operation. Use multiple
        operations for the same Vault account/permanent address if needed.


        **Endpoint Permissions:** Admin, Non-Signing Admin.
      operationId: createMultipleDepositAddresses
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMultipleDepositAddressesRequest'
      responses:
        '200':
          description: A JobCreated object
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobCreated'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<JobCreated>> =
            fireblocks.vaults.createMultipleDepositAddresses(vaultsApiCreateMultipleDepositAddressesRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<JobCreated>> response =
            fireblocks.vaults().createMultipleDepositAddresses(createMultipleDepositAddressesRequest,
            idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.vaults.create_multiple_deposit_addresses(create_multiple_deposit_addresses_request,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    CreateMultipleDepositAddressesRequest:
      type: object
      properties:
        vaultAccountId:
          description: Existing Vault account ID to add deposit addresses to
          type: integer
          example: 5
        assetId:
          description: asset ID
          type: string
          example: ADA
        count:
          description: Count of deposit addresses to issue
          type: integer
          example: 10
        descriptions:
          description: Desctiptions of the newly created addresses
          type: array
          items:
            type: string
          example:
            - First address
            - Second address
            - df4c0987-30da-4976-8dcf-bc2dd41ae331
        vaultAccountToCopyDescFrom:
          description: >-
            Existing Vault Account ID to copy deposit addresses descriptions
            from in case no descriptions were provided
          type: integer
          example: 0
        vaultAccountToCopyDescFromIndex:
          description: >-
            Existing length within the vault account to copy deposit addresses
            descriptions from
          type: integer
          example: 1000
      required:
        - vaultAccountId
        - assetId
        - count
    JobCreated:
      type: object
      properties:
        jobId:
          type: string
        approvalRequestId:
          description: Approval request ID. Returned when a tag triggers an approval flow.
          type: string
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````